Nifteem
    • Dispatch Messages
      • Request a message dispatch
        POST
      • Dispatch messages info
        GET
      • Cancel a message dispatch
        DELETE
    • Manage templates
      • Get all templates
        GET
    • User
      • User Information
        GET
    • Webhook for message status updates
    • Webhook for incoming message notification
    • Schemas
      • Channel
      • DispatchLogStatus
      • WebhookOutDispatchStatusPayload
      • WebhookOutEvent
      • WebhookOutModule
      • InMessageType
      • WebhookOutIncomingMessageDetailPayload
      • WebhookOutIncomingMessagePayload
      • ChannelIdentifierType
      • DispatchApiRequest
      • DispatchApiRequestChannelRcs
      • DispatchApiRequestChannelSms
      • DispatchApiRequestChannelWhatsapp
      • DispatchApiRequestChannels
      • DispatchApiRequestContent
      • DispatchApiRequestMessage
      • DispatchApiRequestMessageContentDocument
      • DispatchApiRequestMessageContentImage
      • DispatchApiRequestMessageContentText
      • DispatchApiRequestMessageContentVideo
      • DispatchApiRequestMessageTemplate
      • DispatchApiRequestRecipient
      • DispatchApiRequestRecipientIdentifier
      • DispatchApiRequestTranslation
      • SmsEncodingType
      • Template
      • TemplateApi
      • DispatchApi
      • DispatchApiMessage
      • DispatchApiMessageStatus

      Webhook for message status updates

      Webhook
      POST
      Message Status Update
      This webhook is triggered when the status of a sent message changes.
      A separate notification is sent for each actual message sent.
      "The possible status updates are: DELIVERED, READ, FAILED (only for the last channel of the fallback chain), and NOSENT.
      "Notifications are only sent for the final delivery channel. If a webhook call fails, retries will be performed at increasing intervals for up to 48 hours.

      Request

      Body Params */*Required

      Examples

      Responses

      🟢200
      Callback received successfully
      This response does not have a body.
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://your-api-server.com' \
      --header 'Content-Type: */*' \
      --data '{
          "event": "DISPATCH_STATUS",
          "module": "BROADCAST",
          "dispatchId": "0FCB1XXXVEABC",
          "messageId": "0FCB1ABCVEXYZ",
          "messagePart": 1,
          "messageTotalParts": 3,
          "channel": "RCS",
          "channelIdentifier": "+390000000",
          "status": "DISPATCHED",
          "statusOrder": 10,
          "statusDate": "2024-01-01T14:30:00Z",
          "dispatchMetadata": {
              "property1": "string",
              "property2": "string"
          },
          "recipientMetadata": {
              "property1": "string",
              "property2": "string"
          }
      }'
      Modified at 2026-06-04 06:45:36
      Previous
      User Information
      Next
      Webhook for incoming message notification
      Built with